Glossaire 'newssuite_constants.php'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110550 漏洞类型 输入验证
发布时间 2006-07-03 更新时间 2007-02-20
CVE编号 CVE-2006-3363 CNNVD-ID CNNVD-200607-065
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/28159
https://www.securityfocus.com/bid/18792
https://cxsecurity.com/issue/WLB-2006070046
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200607-065
|漏洞详情
Xoops的Glossairemodule1.7中的includes/newssuite_constants.php存在PHP远程文件包含漏洞。远程攻击者可借助pa参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/18792/info

Glossaire is prone to a remote file-include vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to include arbitrary remote files containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and gain access to the underlying system.

www.example.com/grossaire/index.php?pa=[evil_script]
|受影响的产品
Xoops Xoops Glossaire Module 1.7
|参考资料

来源:BID
名称:18792
链接:http://www.securityfocus.com/bid/18792
来源:BUGTRAQ
名称:20060701Glossaire<<--v1.7RemoteFileInclude
链接:http://www.securityfocus.com/archive/1/archive/1/438939/100/0/threaded
来源:SECTRACK
名称:1016425
链接:http://securitytracker.com/id?1016425
来源:XF
名称:glossaire-index-file-include(27543)
链接:http://xforce.iss.net/xforce/xfdb/27543
来源:SREASON
名称:1195
链接:http://securityreason.com/securityalert/1195